/** @file Cube.h
 *
 * \author František Toman
 *
 * \version 1.0
 *
 */

/**
 * \class CGOCube
 *
 *
 * \brief Objekt kostka
 *
 *
 * \author František Toman
 *
 * \version 1.0
 *
 *
 * Kontakt: tomanfra@fit.cvut.cz
 *
 *
 */

#ifndef _CGOCUBE_H_
#define _CGOCUBE_H_

#include "GameObject3D.h"

class CGOCube: public CGameObject3D {

public:

	CGOCube(void);
	~CGOCube(void);

	void render();
	void update() {
	}

	void setSize(float size) {
		m_dimension.width = m_dimension.height = m_dimension.length = size;
	}

private:

};

#endif

