/** @file FontManager.h
 *
 * \author František Toman
 *
 * \version 1.0
 *
 */

/**
 * \class CFontManager
 *
 *
 * \brief Správce písem
 *
 *
 * \author František Toman
 *
 * \version 1.0
 *
 *
 * Kontakt: tomanfra@fit.cvut.cz
 *
 *
 */

#ifndef _CFONTMANAGER_
#define _CFONTMANAGER_

#include "Singleton.h"
#include "Collection.h"
#include "Font.h"

class CFontManager: public CSingleton<CFontManager> , public CCollection<CFont> {

public:
	void addFromFile(const char * fileName, int size);

private:

};

#endif
