/** @file KeyListener.h
 *
 * \author František Toman
 *
 * \version 1.0
 *
 */

/**
 * \class CKeyListener
 *
 *
 * \brief Obsluha události - stisk klávesy
 *
 *
 * \author František Toman
 *
 * \version 1.0
 *
 *
 * Kontakt: tomanfra@fit.cvut.cz
 *
 */

#ifndef _CKEYLISTENER_H_
#define _CKEYLISTENER_H_

class CKeyListener {
public:
	CKeyListener();
	virtual ~CKeyListener();

	virtual void keyboard(unsigned char key, int x, int y) = 0;
	virtual void keyboardSpecial(int key, int x, int y) = 0;

};

#endif /* KEYLISTENER_H_ */
