/** @file Positionable3D.h
*
* \author František Toman
*
* \version 1.0
*
*/


/**
 * \class CPositionable3D
 *
 *
 * \brief Pozicování v prostoru
 *
 *
 *
 * \author František Toman
 *
 * \version 1.0
 *
 *
 * Kontakt: tomanfra@fit.cvut.cz
 *
 */

#ifndef CPOSITIONABLE3D_H_
#define CPOSITIONABLE3D_H_

#include "structures.h"
#include "Positionable.h"

class CPositionable3D : public CPositionable<Position3D>{
public:
	CPositionable3D();
	virtual ~CPositionable3D();

	void setPosition( float x, float y, float z ){ m_position . x = x; m_position . y = y, m_position . z = z; };

	float getPositionX(){ return m_position.x; };
	float getPositionY(){ return m_position.y; };
	float getPositionZ(){ return m_position.z; };

};

#endif /* CPOSITIONABLE3D_H_ */
