/** @file SokobanGame.h
*
* \author František Toman
*
* \version 1.0
*
*/


/**
 * \class SokobanGame
 *
 *
 * \brief Hra sokoban
 *
 *
 * \author František Toman
 *
 * \version 1.0
 *
 *
 * Kontakt: tomanfra@fit.cvut.cz
 *
 */

#ifndef SOKOBAN3D_H_
#define SOKOBAN3D_H_

#include "Application.h"

class SokobanGame : public CApplication<SokobanGame>{
public:
	SokobanGame( );
	virtual ~SokobanGame();

protected:
	void loadTextures( void);
	void loadFonts( void );
	void createScenes( void );

};

#endif /* SOKOBAN3D_H_ */
