/*

	Main.cpp
	This file contains a main function.

	@author:	Franta Toman
	@email:		info@frantatoman.cz, tomanfra@fit.cvut.cz
	@url:		http://www.frantatoman.cz

*/

// project includes
#include "main.h"	
#include "Application.h"
#include "SokobanGame.h"

// main function
int main( int argc, char *argv[] ){

	SokobanGame* game = SokobanGame::getInstance();
	game->init( &argc, argv );
	game->run();
	SokobanGame::clear();

	return 0;
}

