#include "GameObject3DManager.h"

/** konstruktor
 */
CGameObject3DManager::CGameObject3DManager(void) {

}

/** destruktor
 */
CGameObject3DManager::~CGameObject3DManager(void) {

}

void CGameObject3DManager::update() {
	if (size() <= 0) {
		return;
	}

	int count = size();

	CGameObject3D* currObj = NULL;

	for (int i = 0; i < count; i++) {
		currObj = get(i);

		if (currObj != NULL) {
			currObj->update();
		}
	}

}

void CGameObject3DManager::mouseMove(int x, int y) {

	if (size() <= 0) {
		return;
	}

	int count = size();

	CGameObject3D* currObj = NULL;

	for (int i = 0; i < count; i++) {
		currObj = get(i);

		if (currObj != NULL) {
			currObj->mouseMove(x, y);
		}
	}

}

void CGameObject3DManager::mouseButtons(int button, int state, int x, int y) {

	if (size() <= 0) {
		return;
	}

	int count = size();

	CGameObject3D* currObj = NULL;

	for (int i = 0; i < count; i++) {
		currObj = get(i);

		if (currObj != NULL) {
			currObj->mouseButtons(button, state, x, y);
		}
	}

}

void CGameObject3DManager::keyboard(unsigned char key, int x, int y) {

	if (size() <= 0) {
		return;
	}

	int count = size();

	CGameObject3D* currObj = NULL;

	for (int i = 0; i < count; i++) {
		currObj = get(i);

		if (currObj != NULL) {
			currObj->keyboard(key, x, y);
		}
	}

}

void CGameObject3DManager::keyboardSpecial(int key, int x, int y) {

	if (size() <= 0) {
		return;
	}

	int count = size();

	CGameObject3D* currObj = NULL;

	for (int i = 0; i < count; i++) {
		currObj = get(i);

		if (currObj != NULL) {
			currObj->keyboardSpecial(key, x, y);
		}
	}

}

