/** @file Mouseable.h
* Hlavičkový soubor Kolekce. Kolekce slouží k ukládání proměnných stejného datového typu.
* \author František Toman
*
* \version 1.0
*
*/


/**
 * \class CMouseable
 *
 *
 * \brief Obsluha události - myš
 *
 *
 *
 * \author František Toman
 *
 * \version 1.0
 *
 *
 * Kontakt: tomanfra@fit.cvut.cz
 *
 */

#ifndef _CMOUSEABLE_H_
#define _CMOUSEABLE_H_

class CMouseable {
public:
	CMouseable();
	virtual ~CMouseable();

	virtual void mouseMove( int x, int y) = 0;
	virtual void mouseButtons( int button, int state, int x, int y ) = 0;

};

#endif /* _CMOUSEABLE_H_ */
