/** @file Plane.h
 *
 * \author František Toman
 *
 * \version 1.0
 *
 */

/**
 * \class CGOPlane
 *
 *
 * \brief Objekt plocha
 *
 *
 *
 * \author František Toman
 *
 * \version 1.0
 *
 *
 * Kontakt: tomanfra@fit.cvut.cz
 *
 */

#ifndef _CGOPLANE_H_
#define _CGOPLANE_H_

#include "GameObject3D.h"

class CGOPlane: public CGameObject3D {

public:

	CGOPlane(void);
	~CGOPlane();
	CGOPlane(int width, int height, POSITION3D position);

	void render();
	void update() {
	}
	;

private:
	int m_width; // sirka
	int m_height; // vyska

};

#endif

