/** @file Positionable2D.h
 *
 * \author František Toman
 *
 * \version 1.0
 *
 */

/**
 * \class CPositionable2D
 *
 *
 * \brief Pozicování v rovině
 *
 *
 * \author František Toman
 *
 * \version 1.0
 *
 *
 * Kontakt: tomanfra@fit.cvut.cz
 *
 */

#ifndef _HPOSITIONABLE2D_H_
#define _HPOSITIONABLE2D_H_

#include "Positionable.h"

class CPositionable2D: public CPositionable<Position2D> {
public:
	CPositionable2D();
	virtual ~CPositionable2D();

	void setPosition(float x, float y) {
		m_position.x = x;
		m_position.y = y;
	}
	;
	void setPositionX(float x) {
		m_position.x = x;
	}
	;
	void setPositionY(float y) {
		m_position.y = y;
	}
	;

	float getPositionX(void) const {
		return m_position.x;
	}
	;
	float getPositionY(void) const {
		return m_position.y;
	}
	;

};

#endif /* POSITIONABLE2D_H_ */
