/** @file Profile.h
 *
 * \author František Toman
 *
 * \version 1.0
 *
 */

/**
 * \class CProfile
 *
 *
 * \brief Profil hráče
 *
 *
 * \author František Toman
 *
 * \version 1.0
 *
 *
 * Kontakt: tomanfra@fit.cvut.cz
 *
 */

#ifndef _CPROFILE_
#define _CPROFILE_

#include "main.h"

class CProfile {

public:
	CProfile();
	CProfile(int ID, int level, string name);
	~CProfile();

	void init(int ID, int level, string name);

	/**
	 * Nastaví jméno hráče
	 * @param str
	 */

	void setName(string str) {
		m_name = str;
	}
	;

	/**
	 * Nastaví jméno hráče
	 * @param str
	 */
	void setName(const char * str) {
		m_name = str;
	}
	;

	/**
	 * Vrátí ID hráče
	 * @return
	 */
	int getID() const {
		return m_ID;
	}
	;

	/**
	 * Vrátí úroveň hráče
	 * @return
	 */
	int getLevel() const {
		return m_level;
	}
	;

	/**
	 * Vrátí jméno hráče
	 * @return
	 */
	string getName() const {
		return m_name;
	}
	;

	/**
	 * Nastaví ID hráče
	 * @param m_ID
	 */
	void setID(int m_ID) {
		this->m_ID = m_ID;
	}
	;

	/**
	 * Nastaví úroveň hráče
	 * @param m_level
	 */
	void setLevel(int m_level) {
		this->m_level = m_level;
	}
	;

private:
	int m_ID; // ID hrace
	int m_level; // uroven hrace
	string m_name;

};

#endif
