/** @file Rotationable.h
*
* \author František Toman
*
* \version 1.0
*
*/


/**
 * \class CRotationable
 *
 *
 * \brief Rotace
 *
 *
 * \author František Toman
 *
 * \version 1.0
 *
 *
 * Kontakt: tomanfra@fit.cvut.cz
 *
 */

#ifndef _CROTATIONABLE_H_
#define _CROTATIONABLE_H_

#include "structures.h"

template <typename T>
class CRotationable {
public:
	CRotationable();
	virtual ~CRotationable();

	T getRotation ( ) const { return m_rotation; };
	void setRotation ( T rotation ){ m_rotation = rotation; };

	virtual bool isRotated() = 0;

protected:
	T	m_rotation;

};

template <typename T>
CRotationable<T>::CRotationable(){

}

template <typename T>
CRotationable<T>::~CRotationable(){

}

#endif /* CROTATIONABLE_H_ */
