/** @file SokobanSceneIntro.h
 *
 * \author František Toman
 *
 * \version 1.0
 *
 */

/**
 * \class CSokobanSceneIntro
 *
 *
 * \brief Scéna - úvodní obrazovka
 *
 *
 * \author František Toman
 *
 * \version 1.0
 *
 *
 * Kontakt: tomanfra@fit.cvut.cz
 *
 */

#ifndef _CSOKOBANSCENEINTRO_H_
#define _CSOKOBANSCENEINTRO_H_

#include "GameState.h"

class CSokobanSceneIntro: public CGameState {
public:
	CSokobanSceneIntro();
	virtual ~CSokobanSceneIntro();

	void init();
	void clear();
	void updateScene();

private:

	// animace
	float m_animAlpha;
	float m_animStep;
	bool m_animFadeIn;
	bool m_animEnd;

};

#endif /* _CSOKOBANSCENEINTRO_H_ */
