/** @file Updateable.h
 *
 * \author František Toman
 *
 * \version 1.0
 *
 */

/**
 * \class CUpdateable
 *
 *
 * \brief Aktualizace
 *
 * \author František Toman
 *
 * \version 1.0
 *
 *
 * Kontakt: tomanfra@fit.cvut.cz
 *
 */

#ifndef UPDATEABLE_H_
#define UPDATEABLE_H_

class CUpdateable {
public:
	CUpdateable();
	virtual ~CUpdateable();

	virtual void update() = 0;

};

#endif /* UPDATEABLE_H_ */
