/*

	Main.h
	This file contains headers, libraries, ... 

	@author:	Franta Toman
	@email:		info@frantatoman.cz, tomanfra@fit.cvut.cz
	@url:		http://www.frantatoman.cz

*/

// system includes
#include <iostream>
#include <cmath>
#include <vector>

#include <string>
#include <fstream>
#include <ostream>
#include <sstream>

#include <GL/glut.h>
#include <GL/glu.h>
#include <GL/gl.h>

#include <IL/il.h>
#include <IL/ilu.h>
#include <IL/ilut.h>

using namespace std;

#define PI 3.14159265

#ifndef _HELPFUNC_
#define _HELPFUNC_

/* vypise obsah pole */
template <typename T>
void printArray( T * array, int length, const char *arrayName  ){
	for( int i = 0; i < length; i++ ){
		cout << "[" << i << "] " << array[i] << endl;
	}
}

// prevede datovy typ T na retezec

template <typename T>
string _toString( T data ){
	string str;
	stringstream ss;
	ss << data;
	return ss.str();
}

#endif
