#ifndef _CGSTRUCTURES_
#define _CGSTRUCTURES_

/* pozice v rovine */
typedef struct Position2D{
	float x;			// pozice x
	float y;			// pozice y
}POSITION2D;

/* pozice v prostoru */
typedef struct Position3D{
	float x;			// pozice x
	float y;			// pozice y
	float z;			// pozice z

}POSITION3D;

/* rotace v prostoru */
typedef struct Rotation3D{
	float rotX;
	float rotY;
	float rotZ;

	Rotation3D( void ) : rotX(0), rotY(0), rotZ(0){};

}ROTATION3D;

/* rotace v rovine */
typedef struct Rotation2D{
	float rotX;
	float rotY;

	Rotation2D( void ) : rotX(0), rotY(0){};

}ROTATION2D;

/* rozmery v rovine */
typedef struct Dimension2D{
	float width;
	float height;

	Dimension2D( void ) : width(0), height(0) {};

}DIMENSION2D;

/* rozmery v prostoru */
typedef struct Dimension3D{
	float width;
	float height;
	float length;

	Dimension3D( void ) : width(0), height(0), length(0) {};

}DIMENSION3D;

typedef struct Vertex2f{

}VERTEX2F;


/* vrchol v prostoru */
typedef struct Vertex3f{
	float	x;					// pozice x
	float	y;					// pozice y
	float	z;					// pozice z

	Vertex3f( void ) : x(0.0), y(0.0), z(0.0) {};

}VERTEX3F;

typedef struct Color4f{
	float r;
	float g;
	float b;
	float alpha;

	Color4f( void ) : r(1.0), g(1.0), b(1.0), alpha(1.0){ };

}COLOR4F;

#endif

